CREATE TABLE `articles` (
  `id_article` int(11) NOT NULL AUTO_INCREMENT,
  `nom_article` varchar(50) NOT NULL,
  PRIMARY KEY (`id_article`)
);

CREATE TABLE `panier` (
  `id_panier` int(11) NOT NULL AUTO_INCREMENT,
  `nom_panier` varchar(50) NOT NULL,
  PRIMARY KEY (`id_panier`)
);

CREATE TABLE IF NOT EXISTS `rel_panier_article` (
  `id_rel_pan_web` int(11) NOT NULL AUTO_INCREMENT,
  `fk_id_panier` int(11) NOT NULL,
  `fk_id_article` int(11) NOT NULL,
  PRIMARY KEY (`id_rel_pan_web`),
  KEY `fk_id_article` (`fk_id_article`),
  KEY `fk_id_panier` (`fk_id_panier`)
);

--
-- Contraintes pour la table `rel_panier_article`
--
ALTER TABLE `rel_panier_article`
  ADD CONSTRAINT `rel_panier_article_ibfk_2` FOREIGN KEY (`fk_id_panier`) REFERENCES `panier` (`id_panier`),
  ADD CONSTRAINT `rel_panier_article_ibfk_1` FOREIGN KEY (`fk_id_article`) REFERENCES `articles` (`id_article`);

--
-- Contenu de la table `articles`
--

INSERT INTO `articles` (`id_article`, `nom_article`) VALUES
(1, 'papa pinguoin'),
(2, 'maman pinguoin'),
(3, 'mamie tuxie'),
(4, 'papi tuxie');


--
-- Contenu de la table `panier`
--

INSERT INTO `panier` (`id_panier`, `nom_panier`) VALUES
(1, 'panier_eric'),
(2, 'panier_tuxie');

--
-- Remplissage des paniers
--
INSERT INTO `rel_panier_article` (`id_rel_pan_web`, `fk_id_panier`, `fk_id_article`) VALUES
(1, 1, 1),
(2, 1, 2),
(3, 2, 3),
(4, 2, 4);
