# Creation de la table type_article
CREATE TABLE IF NOT EXISTS `type_article` (
  `id_type` int(11) NOT NULL AUTO_INCREMENT,
  `nom_type` varchar(50) NOT NULL,
  PRIMARY KEY (`id_type`),
  UNIQUE KEY `nom_type` (`nom_type`)
) ENGINE=InnoDB;

# Insertion de 2 elements dans la table type_article
INSERT INTO `panier`.`type_article` (`id_type`, `nom_type`) VALUES (NULL, 'Peluches'), (NULL, 'Jeux de Societe');

# Modification de la table articles
ALTER TABLE `articles` ADD `fk_type_article` INT NOT NULL DEFAULT '1';

# Contrainte par cle etrangère
ALTER TABLE `articles` ADD CONSTRAINT `rel_articles_type_ibfk_1` FOREIGN KEY (`fk_type_article`) REFERENCES `type_article` (`id_type`);

# Insertion de 2 elements dans la table articles
INSERT INTO `panier`.`articles` (`id_article`, `nom_article`, `fk_type_article`) VALUES (NULL, 'Stratego',2), (NULL, 'Echecs',2);

# Le panier de Eric contient les 2 articles
INSERT INTO `panier`.`rel_panier_article` (`id_rel_pan_web`, `fk_id_panier`, `fk_id_article`) VALUES (NULL, '1', '5'), (NULL, '1', '6');

# Le panier de Tuxie contient le Stratego
INSERT INTO `panier`.`rel_panier_article` (`id_rel_pan_web`, `fk_id_panier`, `fk_id_article`) VALUES (NULL, '2', '5');

# Controle du contenu des paniers
SELECT nom_panier, nom_article FROM articles, panier, rel_panier_article WHERE (`fk_id_panier`= id_panier AND `fk_id_article`=id_article) ORDER BY nom_panier

