DROP DATABASE IF EXISTS voletroulant;
CREATE DATABASE voletroulant;
USE voletroulant;

--
-- Structure de la table `moteur`
--

CREATE TABLE `moteur` (
  `moteur_sn` varchar(20) NOT NULL,
  `marque` enum('tuxmotor','winmotor','gnumotor','debmotor') NOT NULL,
  `moteur_date_achat` date NOT NULL,
  `moteur_ip` varchar(15) NOT NULL,
  `fk_volet` varchar(20) NOT NULL,
  PRIMARY KEY (`moteur_sn`)
);

--
-- Structure de la table `temperature`
--

CREATE TABLE `temperature` (
  `id_capteur` int NOT NULL,
  `t_interieure` float NOT NULL,
  `t_exterieure` float NOT NULL,
  `quand` DATETIME NULL,
  `fk_volet` varchar(16) NOT NULL
);

--
-- Structure de la table `volet`
--

CREATE TABLE `volet` (
  `volet_sn` varchar(20) NOT NULL,
  `hauteur` int NOT NULL COMMENT 'en cm',
  `largeur` int NOT NULL COMMENT 'en cm',
  `fabriquant` enum('centflap','tuxflap','wesflap') NOT NULL DEFAULT 'tuxflap',
  `localisation` text NOT NULL,
  PRIMARY KEY (`volet_sn`)
);

-- Creation des contraintes liees aux cles etrangeres
ALTER TABLE `moteur` ADD FOREIGN KEY (fk_volet) REFERENCES volet (volet_sn);
ALTER TABLE `temperature` ADD FOREIGN KEY (fk_volet) REFERENCES volet (volet_sn);
